Bug 1573025 - _ped.IOException: Input/output error during write on /dev/sdd
Summary: _ped.IOException: Input/output error during write on /dev/sdd
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ca3c16a7f94b3dd0efefbc53138...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 21:23 UTC by Koumb
Modified: 2018-11-30 21:22 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:22:03 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (3.01 MB, text/plain)
2018-04-29 21:23 UTC, Koumb
no flags Details
File: anaconda.log (121.52 KB, text/plain)
2018-04-29 21:23 UTC, Koumb
no flags Details
File: blivet-gui-utils.log (1.98 KB, text/plain)
2018-04-29 21:23 UTC, Koumb
no flags Details
File: environ (588 bytes, text/plain)
2018-04-29 21:23 UTC, Koumb
no flags Details
File: journalctl (1.46 MB, text/plain)
2018-04-29 21:24 UTC, Koumb
no flags Details
File: lsblk_output (2.03 KB, text/plain)
2018-04-29 21:24 UTC, Koumb
no flags Details
File: nmcli_dev_list (1.54 KB, text/plain)
2018-04-29 21:24 UTC, Koumb
no flags Details
File: os_info (596 bytes, text/plain)
2018-04-29 21:24 UTC, Koumb
no flags Details
File: program.log (198.21 KB, text/plain)
2018-04-29 21:24 UTC, Koumb
no flags Details
File: storage.log (1.17 MB, text/plain)
2018-04-29 21:24 UTC, Koumb
no flags Details
File: ifcfg.log (22.68 KB, text/plain)
2018-04-29 21:24 UTC, Koumb
no flags Details

Description Koumb 2018-04-29 21:23:08 UTC
Version-Release number of selected component:
anaconda-core-27.20.4-4.fc27.x86_64

The following was filed automatically by anaconda:
anaconda 27.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/parted/disk.py", line 212, in commit
    return self.__disk.commit()
  File "/usr/lib64/python3.6/site-packages/parted/decorators.py", line 42, in new
    ret = fn(*args, **kwds)
  File "/usr/lib/python3.6/site-packages/blivet/formats/disklabel.py", line 284, in commit
    self.parted_disk.commit()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/partition.py", line 615, in _create
    self.disk.format.commit()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/devices/storage.py", line 456, in create
    self._create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/deviceaction.py", line 318, in execute
    self.device.create()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.6/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 164, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 366, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 252, in run
    threading.Thread.run(self)
_ped.IOException: Input/output error during write on /dev/sdd

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-27-1-6 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
other involved packages: python3-pyparted-3.11.0-5.fc27.x86_64, python3-blivet-2.1.11-3.fc27.noarch, python3-libs-3.6.2-13.fc27.x86_64
product:        Fedora
release:        Fedora release 27 (Twenty Seven)
type:           anaconda
version:        27

Comment 1 Koumb 2018-04-29 21:23:43 UTC
Created attachment 1428581 [details]
File: anaconda-tb

Comment 2 Koumb 2018-04-29 21:23:51 UTC
Created attachment 1428582 [details]
File: anaconda.log

Comment 3 Koumb 2018-04-29 21:23:53 UTC
Created attachment 1428583 [details]
File: blivet-gui-utils.log

Comment 4 Koumb 2018-04-29 21:23:55 UTC
Created attachment 1428584 [details]
File: environ

Comment 5 Koumb 2018-04-29 21:24:10 UTC
Created attachment 1428585 [details]
File: journalctl

Comment 6 Koumb 2018-04-29 21:24:12 UTC
Created attachment 1428586 [details]
File: lsblk_output

Comment 7 Koumb 2018-04-29 21:24:14 UTC
Created attachment 1428587 [details]
File: nmcli_dev_list

Comment 8 Koumb 2018-04-29 21:24:16 UTC
Created attachment 1428588 [details]
File: os_info

Comment 9 Koumb 2018-04-29 21:24:21 UTC
Created attachment 1428589 [details]
File: program.log

Comment 10 Koumb 2018-04-29 21:24:36 UTC
Created attachment 1428590 [details]
File: storage.log

Comment 11 Koumb 2018-04-29 21:24:42 UTC
Created attachment 1428591 [details]
File: ifcfg.log

Comment 12 Jiri Konecny 2018-05-02 08:48:31 UTC
Based on the traceback this looks like an issue in our storage library. Changing component.

Comment 13 Ben Cotton 2018-11-27 15:55:44 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:22:03 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.